import Foundation
import WebSocketKit

final class DealingPlayer: Player {

    var didDouble: Bool? = nil

    override var isNextActor: Bool {
        get { didDouble == nil }
        set { }
    }

    override var actions: [PlayerAction] {
        didDouble == nil ? [.initialDoubleCost, .noDoubleCost] : []
    }

    init(player: WaitingPlayer) {
        super.init(player: player)
    }

    override var numberOfDoubles: Int {
        get { didDouble == true ? 1 : 0 }
        set { }
    }

    override var leadsGame: Bool {
        get { false }
        set { }
    }

    override var points: Int? {
        get { nil }
        set { }
    }
    
}
